> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Find group IDs by attributes > Returns a list of group IDs for all groups in the system that use the specified group attributes.
Group attributes are only available in the group context and consist of a unique name and a value.
Please note that attributes like Group Name or Email cannot be used here.
Request body example:

[{
"name" : " GroupAttributeName ",
"value" : "12345"
}]
## OpenAPI ````json POST /group/findIdsByAttributes { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/group/findIdsByAttributes": { "post": { "tags": [ "Group" ], "summary": "Find group IDs by attributes", "description": "Returns a list of group IDs for all groups in the system that use the specified group attributes.
Group attributes are only available in the group context and consist of a unique name and a value.
Please note that attributes like Group Name or Email cannot be used here.
Request body example:

[{
\"name\" : \" GroupAttributeName \",
\"value\" : \"12345\"
}]
", "operationId": "findIdsByAttributes", "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "Example response:

[1800123829]", "content": { "application/octet-stream": { "schema": { "type": "array", "items": { "type": "object" } } } } }, "400": { "description": "\"message\": \"The provided JSON object representation is incorrect.\"", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } } } } } ````